# MEGA

MEGA智能合约是Megaton Finance符合Jetton标准的治理代币。

## Code

Github链接：（待更新）

## Address

* 主网：（待正式上线后更新）

## Read-Only Functions

{% tabs %}
{% tab title="MEGA Minter" %}
**get\_jetton\_data**

```
(int, int, slice, cell, cell) get_jetton_data() method_id
```

* int totalSupply
* int mintable
* slice admin\_address
* cell mega\_content
* cell mega\_wallet\_code

**get\_jetton\_extra\_data**

```
(slice) get_jetton_extra_data() method_id
```

* slice minter\_address

**get\_wallet\_address**

```
slice get_wallet_address(slice owner_address) method_id
```

* slice user\_wallet\_address
  {% endtab %}

{% tab title="MEGA Wallet" %}
**get\_wallet\_data**

```
(int, slice, slice, cell) get_wallet_data() method_id
```

* int balance
* slice owner
* slice mega\_minter\_address
* cell mega\_wallet\_code
  {% endtab %}
  {% endtabs %}

## **参考**

* Jettons standard description: [TEP74](https://github.com/ton-blockchain/TEPs/blob/master/text/0074-jettons-standard.md) & [TEP89](https://github.com/ton-blockchain/TEPs/blob/master/text/0089-jetton-wallet-discovery.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.megaton.fi/zh-cn/developers/he-yue/mega.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
